libssh: The SSH logging functions

libssh 0.12.1 The SSH library

Loading...
Searching...
No Matches
Enumerations | Functions
The SSH logging functions
The libssh API

## Enumerations
enum | { SSH_LOG_NOLOG =0 , SSH_LOG_WARNING , SSH_LOG_PROTOCOL , SSH_LOG_PACKET , SSH_LOG_FUNCTIONS }

## Functions
void | ssh_log_function (int verbosity, const char *function, const char *buffer)
void | ssh_vlog (int verbosity, const char *function, const char *format, va_list *va)
void | _ssh_log (int verbosity, const char *function, const char *format,...)
void | ssh_log (ssh_session session, int verbosity, const char *format,...)
void | ssh_log_common (struct ssh_common_struct *common, int verbosity, const char *function, const char *format,...)
int | ssh_set_log_level (int level)
| Set the log level of the library.
int | ssh_get_log_level (void)
| Get the log level of the library.
int | ssh_set_log_callback (ssh_logging_callback cb)
| Set the logging callback function.
void | _ssh_reset_log_cb (void)
ssh_logging_callback | ssh_get_log_callback (void)
| Get the pointer to the logging callback function.
void * | ssh_get_log_userdata (void)
| Get the userdata of the logging function.
int | ssh_set_log_userdata (void *data)
| Set the userdata for the logging function.

## Detailed Description

Logging functions for debugging and problem resolving.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SSH_LOG_NOLOG | No logging at all
SSH_LOG_WARNING | Only unrecoverable errors
SSH_LOG_PROTOCOL | Information for the users
SSH_LOG_PACKET | Debug information, to see what is going on
SSH_LOG_FUNCTIONS | Trace information and recoverable error messages

## Function Documentation

## ◆ ssh_get_log_callback()

ssh_logging_callback ssh_get_log_callback | ( | void |  | ) |

Get the pointer to the logging callback function.

Returns
  The pointer the the callback or NULL if none set.

## ◆ ssh_get_log_level()

int ssh_get_log_level | ( | void |  | ) |

Get the log level of the library.

Returns
  The value of the log level.

## ◆ ssh_get_log_userdata()

void * ssh_get_log_userdata | ( | void |  | ) |

Get the userdata of the logging function.

Returns
  The userdata if set or NULL.

## ◆ ssh_set_log_callback()

int ssh_set_log_callback | ( | ssh_logging_callback | cb | ) |

Set the logging callback function.

Parameters

  [in] | cb | The callback to set.

Returns
  0 on success, < 0 on error.

## ◆ ssh_set_log_level()

int ssh_set_log_level | ( | int | level | ) |

Set the log level of the library.

Parameters

  [in] | level | The level to set.

Returns
  SSH_OK on success, SSH_ERROR on error.

## ◆ ssh_set_log_userdata()

int ssh_set_log_userdata | ( | void * | data | ) |

Set the userdata for the logging function.

Parameters

  [in] | data | The userdata to set.

Returns
  SSH_OK on success.